<template>
  <stock-layout :class="[theme]" :side-menus="sideMenus">
    <nuxt />
  </stock-layout>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';
import StockLayout from '../components/StockLayout';


export default {
  name: 'ManagerLayout',
  components: {
    'stock-layout': StockLayout,
  },
  data() {
    return {
      sideMenus: [
        {
          routeName: 'manager-stock-data-company',
          icon: 'ios-briefcase',
          title: 'Company',
        },
        {
          routeName: 'manager-stock-data-keyword',
          icon: 'md-key',
          title: 'Keywords',
        },
        {
          routeName: 'manager-stock-data-upload',
          icon: 'md-cloud-upload',
          title: 'Upload Data',
        },
        {
          routeName: 'manager-stock-data-news',
          icon: 'ios-paper',
          title: 'News',
        },
        {
          routeName: 'manager-user',
          icon: 'ios-people',
          title: 'User',
        },
        {
          routeName: 'manager-note',
          icon: 'ios-create',
          title: 'Note',
        },
        {
          routeName: 'manager-personal',
          icon: 'ios-person',
          title: 'Profile',
        },
      ],
    };
  },
  computed: {
    ...mapGetters(['theme']),
  },
}
</script>

<style lang="scss" scoped>
</style>
